---
{{$labelData := dict "Values" .Values "Release" .Release "Chart" .Chart "Component" "cms"}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{include "pdfchecker.cms.name" .}}
  labels:
    {{- include "pdfchecker.labels" $labelData | nindent 4}}
spec:
  replicas: {{.Values.cms.replicaCount}}
  selector:
    matchLabels:
      {{- include "pdfchecker.selectorLabels" $labelData | nindent 6}}
  strategy:
    rollingUpdate:
      maxSurge: {{add .Values.cms.replicaCount 1}}
      maxUnavailable: 0
    type: RollingUpdate
  template:
    metadata:
      labels:
        {{- include "pdfchecker.selectorLabels" $labelData | nindent 8}}
    spec:
      containers:
        - name: {{include "pdfchecker.cms.name" .}}
          image: "{{.Values.cms.image.repository}}:{{.Values.cms.image.tag}}"
          imagePullPolicy: {{.Values.cms.image.imagePullPolicy}}
          {{- if .Values.cms.existingSecret }}
          envFrom:
            - secretRef:
                name: {{.Values.cms.existingSecret}}
          {{- end }}
          ports:
            - containerPort: 8000
              protocol: TCP

